%define Werror_cflags	%nil
%define	oname	TORCS
%define	libname	%mklibname %{name}

Name:		torcs
Version:	1.3.3
Release:	%mkrel 2
Summary:	The Open Racing Car Simulator
License:	GPLv2
Group:		Games/Arcade
URL:            http://torcs.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}-src/%{version}/%{oname}-%{version}-src.tgz
Source1:	http://sourceforge.net/projects/%{name}/files/%{name}-src/%{version}/%{oname}-%{version}-src-robots-base.tgz
Patch0:		TORCS-1.3.2-linkorder.patch
BuildRequires:  imagemagick
BuildRequires:	freeglut-devel
BuildRequires:	mesagl-devel
BuildRequires:	png-devel
BuildRequires:	freealut-devel
BuildRequires:	libxrandr-devel
BuildRequires:	openal-devel
BuildRequires:	plib-devel
BuildRequires:	libice-devel
BuildRequires:	libsm-devel
BuildRequires:	libxt-devel
BuildRequires:	libxi-devel
BuildRequires:	libxmu-devel
BuildRequires:	libvorbis-devel
Provides:	%{oname}
Requires:	%{name}-data = %{version}
Requires:	%{name}-data-cars-extra 
Requires:	%{name}-robots-base
Suggests:	%{name}-data-nonfree
Suggests:	%{name}-robots-berniw
Suggests:	%{name}-robots-bt
Suggests:	%{name}-robots-olethros
Provides:	%{libname}
Obsoletes:	%{libname}

%description
A 3D racing car simulator using OpenGL.

%package	robots-base
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Basic robots for %{name}
Provides:	%{name}-robots
BuildArch:	noarch

%description	robots-base
Base robots for %{oname}

%package	robots-berniw
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Berniw robots for %{name}
BuildArch:	noarch
Provides:	%{name}-robots

%description	robots-berniw
Berniw robots for %{oname}
by Bernhard Wymann <berniw@bluewin.ch>

%package	robots-bt
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Bt robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-bt
bt robots for %{oname}

%package	robots-olethros
Group:		Games/Arcade
Requires:	%{name} >= %{version}
Summary:	Olethros robots for %{name}
Buildarch:	noarch
Provides:	%{name}-robots

%description	robots-olethros
bt robots for %{oname}
by Christos Dimitrakakis <dimitrak@idiap.ch>


%prep
%setup -q -b1
%patch0 -p0

%build
./configure --bindir=%{_gamesbindir} \
 	--prefix=%{_prefix} \
 	--libdir=%{_libdir} \
 	--x-libraries=%{_xorglibdir}
make

%install
%makeinstall_std

mkdir %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{oname}
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

%{__install} -d %buildroot{%{_miconsdir},%{_liconsdir}}
convert -size 16x16 icon.png %buildroot%{_miconsdir}/%{name}.png
%{__install} icon.png %buildroot%{_iconsdir}/%{name}.png
convert -size 48x48 icon.png %buildroot%{_liconsdir}/%{name}.png

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,755)
# %doc INSTALL.linux README.linux
%{_gamesbindir}/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/config
%{_gamesdatadir}/%{name}/telemetry
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%dir %{_gamesdatadir}/%{name}/drivers
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_libdir}/%{name}

%files robots-base
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/damned
%{_gamesdatadir}/%{name}/drivers/human
%{_gamesdatadir}/%{name}/drivers/inferno
%{_gamesdatadir}/%{name}/drivers/inferno2
%{_gamesdatadir}/%{name}/drivers/lliaw
%{_gamesdatadir}/%{name}/drivers/sparkle
%{_gamesdatadir}/%{name}/drivers/tita

%files robots-berniw
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/berniw*

%files robots-bt
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/bt

%files robots-olethros
%defattr(-,root,root,755)
%{_gamesdatadir}/%{name}/drivers/olethros




%changelog

* Wed Apr 04 2012 luigiwalser <luigiwalser> 1.3.3-2.mga2
+ Revision: 228370
- rebuild for plib

* Sun Feb 19 2012 zezinho <zezinho> 1.3.3-1.mga2
+ Revision: 211022
- new version

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-3.mga2
+ Revision: 205578
- require robots-base

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-2.mga2
+ Revision: 205237
- add suggests for nonfree data

* Mon Feb 06 2012 zezinho <zezinho> 1.3.2-1.mga2
+ Revision: 205197
- fix BR for vorbis
- add BR for vorbis
- new version

* Thu Sep 15 2011 fwang <fwang> 1.3.1-8.mga2
+ Revision: 144027
- br xi
- add more br when checking configureing
- br plib
- cleanup spec

  + kharec <kharec>
    - Try again to fix BR's
    - fix BR

* Wed Apr 27 2011 stormi <stormi> 1.3.1-7.mga1
+ Revision: 92013
- fix Summary

* Tue Apr 26 2011 wally <wally> 1.3.1-6.mga1
+ Revision: 91836
- fix desktop file name (mga#954)

* Fri Apr 08 2011 kharec <kharec> 1.3.1-5.mga1
+ Revision: 82153
- imported package torcs

